{% extends 'root.html' %}

{% load i18n microsocial humanize %}

{% block context %}
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-offset-1 col-md-2 text-center">
                <img src="{{ profile_user|get_avatar }}" width="300px" height="300px"/>
                {% if profile_user.pk == user.pk %}
                    <p style="margin-top: 10px"><a href="{% url 'settings' %}">{% trans 'настройки'|capfirst %}</a></p>
                {% else %}
                    <form method="post" action="{% url 'action_users' %}">
                        {% csrf_token %}
                        {% if are_friends %}
                            <input type="hidden" name="remove_friend" value="{{ profile_user.pk }}">
                            <input type="submit" name="{{ 'remove_friend_'|add:profile_user.pk }}"
                                   value="{% trans 'удалить из друзей'|capfirst %}">
                        {% else %}
                            <input type="hidden" name="add_friend" value="{{ profile_user.pk }}">
                            <input type="submit" class="btn btn-primary" style="padding: 10px; margin: 10px"  name="{{ 'add_friend_'|add:profile_user.pk }}"
                                   value="{% trans 'добавить в друзья'|capfirst %}">
                        {% endif %}
                    </form>
                    <p><a href="{% url 'dialog' profile_user.pk %}">{% trans 'написать сообщения'|capfirst %}</a></p>
                {% endif %}
            </div>
            <div class="col-md-offset-1 col-md-8">
                {% include 'show_messages.html' %}
                <h1>{{ profile_user.get_full_name }}</h1>
                <table style="border-collapse: inherit; border-spacing: 30px 5px;">
                    {% if profile_user.sex %}
                        <tr>
                            <td>{% trans 'пол'|capfirst %}:</td>
                            <td>{{ profile_user.get_sex_display }}</td>
                        </tr>
                    {% endif %}
                    {% if profile_user.birthday %}
                        <tr>
                            <td>{% trans 'дата рождения'|capfirst %}:
                            <td>{{ profile_user.birthday }}</td>
                        </tr>
                    {% endif %}
                    {% if profile_user.city %}
                        <tr>
                            <td>{% trans 'город'|capfirst %}:</td>
                            <td>{{ profile_user.city }}</td>
                        </tr>
                    {% endif %}
                    {% if profile_user.work_place %}
                        <tr>
                            <td>{% trans 'место работы'|capfirst %}:</td>
                            <td>{{ profile_user.work_place }}</td>
                        </tr>
                    {% endif %}
                    {% if profile_user.about %}
                        <tr>
                            <td>{% trans 'о себе'|capfirst %}:</td>
                            <td>{{ profile_user.about }}</td>
                        </tr>
                    {% endif %}
                    {% if profile_user.interests %}
                        <tr>
                            <td>{% trans 'интересы'|capfirst %}:</td>
                            <td>{{ profile_user.interests }}</td>
                        </tr>
                    {% endif %}
                </table>
                <form class="form" method="post">
                    {% csrf_token %}
                    {% for field in form %}
                        {% show_form_field_errors field.errors %}
                        <div class="form-group {% if field.errors %}has-error{% endif %}">
                            {{ field }}
                        </div>
                    {% endfor %}
                    <div class="col-md-12">
                        <input type="submit" class="form-control btn btn-primary"
                               value="{% trans 'опубликовать'|capfirst %}">
                    </div>
                </form>
                {% for post in post_wall %}
                    <div style="margin-top: 20px; border: 1px #666; padding: 10px;">
                        <div class="row">
                            <div class="col-md-2">
                                <img src="{{ post.author|get_avatar }}" height="100px" width="100px"/>
                            </div>
                            <div class="col-md-8">
                                <a href="{% url 'profile' post.author_id %}">{{ post.author.get_full_name }}</a>
                                <span title="{{ post.post_data }}">{{ post.post_data|naturaltime }}</span>
                                <p>{{ post.post|linebreaksbr }}</p>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
            {% show_paginator post_wall %}
        </div>
    </div>
{% endblock %}
